/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// UserIsAlreadyConfirmed struct for UserIsAlreadyConfirmed
type UserIsAlreadyConfirmed struct {
	Kind *string `json:"kind,omitempty"`
}

// NewUserIsAlreadyConfirmed instantiates a new UserIsAlreadyConfirmed object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUserIsAlreadyConfirmed() *UserIsAlreadyConfirmed {
	this := UserIsAlreadyConfirmed{}
	var kind string = "userIsAlreadyConfirmed"
	this.Kind = &kind
	return &this
}

// NewUserIsAlreadyConfirmedWithDefaults instantiates a new UserIsAlreadyConfirmed object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUserIsAlreadyConfirmedWithDefaults() *UserIsAlreadyConfirmed {
	this := UserIsAlreadyConfirmed{}
	var kind string = "userIsAlreadyConfirmed"
	this.Kind = &kind
	return &this
}

// GetKind returns the Kind field value if set, zero value otherwise.
func (o *UserIsAlreadyConfirmed) GetKind() string {
	if o == nil || o.Kind == nil {
		var ret string
		return ret
	}
	return *o.Kind
}

// GetKindOk returns a tuple with the Kind field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *UserIsAlreadyConfirmed) GetKindOk() (*string, bool) {
	if o == nil || o.Kind == nil {
		return nil, false
	}
	return o.Kind, true
}

// HasKind returns a boolean if a field has been set.
func (o *UserIsAlreadyConfirmed) HasKind() bool {
	if o != nil && o.Kind != nil {
		return true
	}

	return false
}

// SetKind gets a reference to the given string and assigns it to the Kind field.
func (o *UserIsAlreadyConfirmed) SetKind(v string) {
	o.Kind = &v
}

func (o UserIsAlreadyConfirmed) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Kind != nil {
		toSerialize["kind"] = o.Kind
	}
	return json.Marshal(toSerialize)
}

type NullableUserIsAlreadyConfirmed struct {
	value *UserIsAlreadyConfirmed
	isSet bool
}

func (v NullableUserIsAlreadyConfirmed) Get() *UserIsAlreadyConfirmed {
	return v.value
}

func (v *NullableUserIsAlreadyConfirmed) Set(val *UserIsAlreadyConfirmed) {
	v.value = val
	v.isSet = true
}

func (v NullableUserIsAlreadyConfirmed) IsSet() bool {
	return v.isSet
}

func (v *NullableUserIsAlreadyConfirmed) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUserIsAlreadyConfirmed(val *UserIsAlreadyConfirmed) *NullableUserIsAlreadyConfirmed {
	return &NullableUserIsAlreadyConfirmed{value: val, isSet: true}
}

func (v NullableUserIsAlreadyConfirmed) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUserIsAlreadyConfirmed) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


